HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetTransfersTransferReversalsId

Contains the different functions to run the operation getTransfersTransferReversalsId

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetTransfersTransferReversalsId.hs
valuegetTransfersTransferReversalsId
  1. :: MonadHTTP m
  2. => GetTransfersTransferReversalsIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetTransfersTransferReversalsIdResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/transfers/{transfer}/reversals/{id}

<p>By default, you can see the 10 most recent reversals stored directly on the transfer object, but you can also retrieve details about a specific reversal stored on the transfer.</p>

Defines the object schema located at paths./v1/transfers/{transfer}/reversals/{id}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getTransfersTransferReversalsId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetTransfersTransferReversalsIdResponseError is used.

Constructors

Instances2Eq, Show